Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 986634 - Review Request: python-pyphen - Pure Python module to hyphenate text
Summary: Review Request: python-pyphen - Pure Python module to hyphenate text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 986608
TreeView+ depends on / blocked
 
Reported: 2013-07-21 07:03 UTC by Eric Smith
Modified: 2014-08-21 11:52 UTC (History)
4 users (show)

Fixed In Version: python-pyphen-0.7-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-04 00:12:31 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eric Smith 2013-07-21 07:03:07 UTC
Spec URL: http://fedorapeople.org/~brouhaha/python-pyphen/python-pyphen.spec
SRPM URL: http://fedorapeople.org/~brouhaha/python-pyphen/python-pyphen-0.7-1.fc19.src.rpm
Description:
Pyphen is a pure Python module to hyphenate text using existing
hyphenation dictionaries, e.g., from Libreoffice language packs.
Fedora Account System Username: brouhaha

Comment 1 Christopher Meng 2013-07-22 01:43:21 UTC
Issues:

1. Please use https://pypi.python.org/packages/source/P/Pyphen/Pyphen-0.7.tar.gz

as Source0.

2. In %files section, you shouldn't use glob too much, and so you've missed a unowned dir, so 

%{python_sitelib}/*

should be:

%{python_sitelib}/pyphen
%{python_sitelib}/Pyphen-%{version}-py%{python_version}.egg-info

3. I'm not sure about 

Requires:       hyphen-en

Can we let yum-langpack to choose the appropriate lang?

Comment 2 Eric Smith 2013-07-22 18:56:13 UTC
Spec URL: http://fedorapeople.org/~brouhaha/python-pyphen/python-pyphen.spec
SRPM URL: http://fedorapeople.org/~brouhaha/python-pyphen/python-pyphen-0.7-2.fc19.src.rpm

Thanks for reviewing!

1.  I prefer to keep github Source0 for reasons we've discussed in other package reviews.  If you feel strongly that this needs to change, let me know, and I'll do it.

2.  I don't understand what you mean by "missed a unowned dir"; the output of "rpm -qlvp" looks good to me.  It contains (and owns) the directory, the directory contents, and the egg-info, and doesn't appear to contain anything it shouldn't.  In fact, timestamps aside, I get exactly the same listing whether I use my original files section or the one you propose.  However, I've made the change.  (If we didn't use a BuildRoot, it certainly wouldn't work to glob all of python_sitelib, but with a BuildRoot there doesn't seem to be any issue with it, and it appears that a lot of RPMs of Python libraries do that.)

3.  The purpose of requiring hyphen-en is that I want to add a %check section that does a subset of the upstream unit tests, and wanted to have one language available for that. However, I haven't added that yet, and it would be a BuildRequires rather than a Requires, so I've dropped the Requires.

Comment 3 Michael Schwendt 2013-07-22 19:04:55 UTC
Eric, rest assured,

  %{python_sitelib}/*

is an entirely valid way to include _anything_ in the %{python_sitelib} dir without introducing unowned directories.

Comment 4 Eric Smith 2013-07-23 03:33:19 UTC
Chris, what further info is needed?  I changed the Files section per your request, even though it has been confirmed as unnecessary.

Comment 5 Christopher Meng 2013-07-23 03:50:10 UTC
I need URLs......

Comment 6 Eric Smith 2013-07-23 03:58:10 UTC
I posted the updated URLs at the top of comment 2 above, but here they are again:

Spec URL: http://fedorapeople.org/~brouhaha/python-pyphen/python-pyphen.spec
SRPM URL: http://fedorapeople.org/~brouhaha/python-pyphen/python-pyphen-0.7-2.fc19.src.rpm

Comment 7 Christopher Meng 2013-07-24 00:35:51 UTC
BTW does it support py3?

If so please update again... ;)

Comment 9 Christopher Meng 2013-07-25 01:49:44 UTC
Looks good.

APPROVED.

Comment 10 Eric Smith 2013-07-25 02:13:24 UTC
New Package SCM Request
=======================
Package Name: python-pyphen
Short Description: Pure Python module to hyphenate text
Owners: brouhaha
Branches: f18 f19 el6
InitialCC:

Comment 11 Gwyn Ciesla 2013-07-25 11:56:01 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-07-25 16:28:46 UTC
python-pyphen-0.7-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-pyphen-0.7-3.fc19

Comment 13 Fedora Update System 2013-07-25 16:39:44 UTC
python-pyphen-0.7-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pyphen-0.7-3.fc18

Comment 14 Fedora Update System 2013-07-25 17:06:31 UTC
python-pyphen-0.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyphen-0.7-3.el6

Comment 15 Fedora Update System 2013-07-26 18:12:39 UTC
python-pyphen-0.7-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 16 Fedora Update System 2013-08-04 00:12:31 UTC
python-pyphen-0.7-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 17 Fedora Update System 2013-08-04 00:12:43 UTC
python-pyphen-0.7-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 18 Fedora Update System 2013-08-16 17:08:30 UTC
python-pyphen-0.7-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 19 Eric Smith 2014-08-21 03:57:51 UTC
Package Change Request
======================
Package Name: python-pyphen
New Branches: epel7
Owners: brouhaha

Comment 20 Gwyn Ciesla 2014-08-21 11:52:45 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.